server:
  port: 8096
  servlet:
    context-path: /category

spring:
  application:
    name: category-service
  main:
    allow-bean-definition-overriding: true
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://111.229.80.149:3306/erp_java?useUnicode=true&characterEncoding=utf8&useSSL=false&serverTimezone=Asia/Shanghai&allowPublicKeyRetrieval=true
    username: root
    password: nihao588+
  data:
    redis:
      host: localhost
      port: 6379
      database: 0

mybatis-plus:
  configuration:
    map-underscore-to-camel-case: true
  global-config:
    db-config:
      logic-delete-field: deletedAt
      logic-delete-value: NOW()
      logic-not-delete-value: null

logging:
  level:
    com.erp.category: DEBUG
